Attribute VB_Name = "modLanguageSupport"
Public LanguageFilename As String
Private Const LANGUAGE_INCORRECT_STRING_MESSAGE As String = "|"

Public Sub loadLanguageFile(fileName As String)
   TERRAIN_HELP_MESSAGE = GetFromINI("help", "message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   
   TERRAIN_OBJECT_RESULT_ERROR = GetFromINI("errors", "object_result_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_CONFUSED_CHAT_MESSAGE = GetFromINI("errors", "confused_chat_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_INVALID_CITNAME_MESSAGE = GetFromINI("errors", "invalid_citname_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_SPECIFY_PREFIX_ERROR = GetFromINI("errors", "specify_prefix_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_SPECIFY_PREFIX_ERROR_2 = GetFromINI("errors", "specify_prefix_error_2", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_SEED_BUILDING_ERROR = GetFromINI("errors", "seed_building_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_SEED_ENCROACHMENT_ERROR = GetFromINI("errors", "seed_encroachment_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_AWAITING_QUERY_ERROR = GetFromINI("errors", "awaiting_query_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_MESSAGE_TOO_LONG_ERROR = GetFromINI("errors", "message_too_long_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_INVALID_COMMAND_ERROR = GetFromINI("errors", "invalid_command_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   SESSION_BOT_ERROR = GetFromINI("errors", "bot_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   SESSION_TOURIST_ERROR = GetFromINI("errors", "tourist_error", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   
   TERRAIN_ENABLE_MESSAGE = GetFromINI("messages", "enable_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_DISABLE_MESSAGE = GetFromINI("messages", "disable_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_DISABLE_WARN_MESSAGE = GetFromINI("messages", "disable_warn_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_NOT_ENABLED_MESSAGE = GetFromINI("messages", "not_enabled_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_NO_ED_MESSAGE = GetFromINI("messages", "no_ed_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_CLICK_NO_ED_MESSAGE = GetFromINI("messages", "click_no_ed_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_ALWAYS_ENABLED_MESSAGE = GetFromINI("messages", "always_enabled_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_SHOW_HIDE_FINISHED_MESSAGE = GetFromINI("messages", "show_hide_finished_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_DELETE_FINISHED_MESSAGE = GetFromINI("messages", "delete_finished_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_CLICK_HIDE_MESSAGE = GetFromINI("messages", "click_hide_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_CELLS_PROCESSED_MESSAGE = GetFromINI("messages", "cells_processed_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_OFFLINE_MESSAGE = GetFromINI("messages", "offline_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_ONLINE_ENABLED_MESSAGE = GetFromINI("messages", "online_enabled_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_VERSION_MESSAGE = GetFromINI("messages", "version_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_WAIT_FOR_OBJECTS_MESSAGE = GetFromINI("messages", "wait_for_objects_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_NEW_MARKER_SEED_MESSAGE = GetFromINI("messages", "new_marker_seed_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_ONLINE_SAY_MESSAGE = GetFromINI("messages", "online_say_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_FEATURES_ARE_MESSAGE = GetFromINI("messages", "features_are_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_EDIT_MESSAGE = GetFromINI("messages", "edit_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   
   SESSION_FLOOD_MESSAGE = GetFromINI("safeguards", "flood_message", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   
   TERRAIN_MARKERS_PHRASE = GetFromINI("phrases", "markers", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_CELLS_PHRASE = GetFromINI("phrases", "cells", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_PERCENT_QUERIED_PHRASE = GetFromINI("phrases", "percent_queried", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_PHRASE_CITIZEN = GetFromINI("phrases", "citizen", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_OFFLINE_PHRASE = GetFromINI("phrases", "offline", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_USERS_PHRASE = GetFromINI("phrases", "users", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   
   TERRAIN_SHOW_COMMAND = GetFromINI("commands", "show", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_HIDE_COMMAND = GetFromINI("commands", "hide", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_DELETE_COMMAND = GetFromINI("commands", "delete", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_ALL_COMMAND = GetFromINI("commands", "all", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_ED_COMMAND = GetFromINI("commands", "ed", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_SEED_COMMAND = GetFromINI("commands", "seed", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_HELP_COMMAND = GetFromINI("commands", "help", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_BEGIN_COMMAND = GetFromINI("commands", "begin", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_END_COMMAND = GetFromINI("commands", "end", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_STATS_COMMAND = GetFromINI("commands", "stats", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   TERRAIN_VERSION_COMMAND = GetFromINI("commands", "version", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   
   AW_NORTH = GetFromINI("coordinates", "north", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   AW_SOUTH = GetFromINI("coordinates", "south", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   AW_EAST = GetFromINI("coordinates", "east", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   AW_WEST = GetFromINI("coordinates", "west", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
   AW_ALTITUDE = GetFromINI("coordinates", "altitude", fileName, LANGUAGE_INCORRECT_STRING_MESSAGE)
      
End Sub

